Subject: FvwmScript: item selected colors in List

From: Olivier Chapuis <[email-masked]>
Date: Thu, 15 Mar 2001 11:26:34 +0100

Hello,

When you select an item in FvwmScript List the colors of this item
is changed:
- before my previous commit the background is changed to the shadow
  color and it seems that some times (depending on the colors and on the
  hardware) the result is that you more or less do not see anymore the text.
- I've changed the above by using the hilight colors in the place of the 
  shadow one and this seems very better.
- An other possibility is to invert the bg and fg colors, but the result is
   less pretty. Maybe it will be more prudent to use this solution
   (an avantage of the 2 previous solutions is that we can configure
    this color change).
     
So, the question is which solutions to use?
If one want to test between the two above solutions just go to Windget/List.c
and comment/uncomment the lines 159-165/168-173

Olivier

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Dan Espen <[email-masked]>
Date: Thu, 15 Mar 2001 06:50:31 -0500

> and comment/uncomment the lines 159-165/168-173

Swapping the background and foreground is safe, you can be guaranteed
that the colors will contrast.

The other option is to make the colors for selected lines configurable.

--
Dan Espen
444 Hoes Lane  Room RRC 1C-214           E-mail: [email-masked]
Piscataway, NJ 08854                     Phone: (732) 699-5570
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Mikhael Goikhman <[email-masked]>
Date: Thu, 15 Mar 2001 13:14:14 -0600

> The other option is to make the colors for selected lines configurable.

I prefer the current fix, not inverse colors. I think we may postpone this
problem and add a new "selected item" colorset support in FvwmScript later.

Regards,
Mikhael.